Flecs: ecs_meta_scope_t Struct Reference
Description: A fast entity component system (ECS) for C & C++

| Flecs v4.0 A fast entity component system (ECS) for C & C++

Loading...
Searching...
No Matches
Public Attributes | List of all members
ecs_meta_scope_t Struct Reference
C API » Addons » Meta

Type with information about currently serialized scope. More...

`#include <meta.h>`

## Public Attributes
ecs_entity_t | type
| The type being iterated.
ecs_meta_type_op_t * | ops
| The type operations (see ecs_meta_type_op_t)
int32_t | op_count
| Number of operations in ops array to process.
int32_t | op_cur
| Current operation.
int32_t | elem_cur
| Current element (for collections)
int32_t | prev_depth
| Depth to restore, in case dotmember was used.
void * | ptr
| Pointer to the value being iterated.
const EcsComponent * | comp
| Pointer to component, in case size/alignment is needed.
const EcsOpaque * | opaque
| Opaque type interface.
ecs_vec_t * | vector
| Current vector, in case a vector is iterated.
ecs_hashmap_t * | members
| string -> member index
bool | is_collection
| Is the scope iterating elements?
bool | is_inline_array
| Is the scope iterating an inline array?
bool | is_empty_scope
| Was scope populated (for collections)

## Detailed Description

Type with information about currently serialized scope.

Definition at line 572 of file meta.h.

## Member Data Documentation

## ◆ comp

const EcsComponent* ecs_meta_scope_t::comp

Pointer to component, in case size/alignment is needed.

Definition at line 580 of file meta.h.

## ◆ elem_cur

int32_t ecs_meta_scope_t::elem_cur

Current element (for collections)

Definition at line 577 of file meta.h.

## ◆ is_collection

bool ecs_meta_scope_t::is_collection

Is the scope iterating elements?

Definition at line 584 of file meta.h.

## ◆ is_empty_scope

bool ecs_meta_scope_t::is_empty_scope

Was scope populated (for collections)

Definition at line 586 of file meta.h.

## ◆ is_inline_array

bool ecs_meta_scope_t::is_inline_array

Is the scope iterating an inline array?

Definition at line 585 of file meta.h.

## ◆ members

ecs_hashmap_t* ecs_meta_scope_t::members

string -> member index

Definition at line 583 of file meta.h.

## ◆ op_count

int32_t ecs_meta_scope_t::op_count

Number of operations in ops array to process.

Definition at line 575 of file meta.h.

## ◆ op_cur

int32_t ecs_meta_scope_t::op_cur

Current operation.

Definition at line 576 of file meta.h.

## ◆ opaque

const EcsOpaque* ecs_meta_scope_t::opaque

Opaque type interface.

Definition at line 581 of file meta.h.

## ◆ ops

ecs_meta_type_op_t* ecs_meta_scope_t::ops

The type operations (see ecs_meta_type_op_t)

Definition at line 574 of file meta.h.

## ◆ prev_depth

int32_t ecs_meta_scope_t::prev_depth

Depth to restore, in case dotmember was used.

Definition at line 578 of file meta.h.

## ◆ ptr

void* ecs_meta_scope_t::ptr

Pointer to the value being iterated.

Definition at line 579 of file meta.h.

## ◆ type

ecs_entity_t ecs_meta_scope_t::type

The type being iterated.

Definition at line 573 of file meta.h.

## ◆ vector

ecs_vec_t* ecs_meta_scope_t::vector

Current vector, in case a vector is iterated.

Definition at line 582 of file meta.h.

The documentation for this struct was generated from the following file:

- include/flecs/addons/meta.h